REST APIConnected domains
Connect a domain the user already owns
Authorization
ApiKey x-api-key<token>
Workspace-owned API key with per-resource permissions.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
hostname*string
Match
^(?!-)[a-z0-9-]+(\.[a-z0-9-]+)+$Length
3 <= length <= 253projectId?string
Length
1 <= lengthidempotencyKey?string
Length
1 <= length <= 128Response Body
application/json
curl -X POST "https://example.com/connected-domains" \ -H "Content-Type: application/json" \ -d '{ "hostname": "string" }'{ "hostname": "string", "state": "pending", "ownershipStatus": "pending", "certificateStatus": "pending", "routingStatus": "unassigned", "projectId": "string", "instructions": [ { "type": "CNAME", "name": "string", "value": "string", "purpose": "routing", "required": true } ], "dnsHost": "cloudflare", "dcvDelegation": "ok", "verificationErrors": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "checkedAt": "2019-08-24T14:15:22Z"}